function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { useSetAtom } from 'jotai';
import ss from "./index.less";
import { visibleAtomValue } from "../../state";
import cls from 'classnames';

var AiIcon = function AiIcon(props) {
  var _cls;

  var setVisible = useSetAtom(visibleAtomValue);

  var handleIconClick = function handleIconClick() {
    var _props$onClick;

    props === null || props === void 0 ? void 0 : (_props$onClick = props.onClick) === null || _props$onClick === void 0 ? void 0 : _props$onClick.call(props);

    if (props.canOpenAiModal !== false) {
      setVisible(true);
    }
  };

  return /*#__PURE__*/React.createElement("div", {
    className: ss.aiEntryIcon,
    style: _objectSpread({}, props.iconStyle),
    onClick: handleIconClick
  }, /*#__PURE__*/React.createElement("div", {
    className: cls(ss.aiRobotIcon, (_cls = {}, _defineProperty(_cls, ss.aiLogoAnimation, props.aiLogoAnimation !== false), _defineProperty(_cls, ss.eyeAnimation, props.eyeAnimation !== false), _cls)),
    style: {
      width: props.aiLogoSize || 50
    }
  }, /*#__PURE__*/React.createElement("div", {
    className: ss.aiRobotWrapper
  }, /*#__PURE__*/React.createElement("img", {
    className: ss.aiRobot,
    src: "https://img.renlijia.com/202403/RLJVV86c0oB099mH1pi4uv2NSG-80-80.png",
    alt: ""
  }), /*#__PURE__*/React.createElement("div", {
    className: cls(ss.aiEye, ss.aiLeft)
  }), /*#__PURE__*/React.createElement("div", {
    className: cls(ss.aiEye, ss.aiRight)
  })), props.bottomShadowVisible !== false && /*#__PURE__*/React.createElement("img", {
    className: ss.aiShadow,
    src: "https://img.renlijia.com/202403/RLJG6l1KNp6488036757S9pBge-68-26.png",
    alt: ""
  })));
};

export default AiIcon;