function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React, { memo } from 'react';
import cls from 'classnames';
import AiLoading from "./components/loading";
import AiTitle from "./components/aiTitle";
import AiDemo from "./components/demo";
import "./index.less";
import ReactMarkdown from 'react-markdown';
import rehypeKatex from 'rehype-katex';
import remarkGfm from 'remark-gfm';
import remarkMath from 'remark-math';
import { Collapse, Divider, Typography } from 'rlj-design';
import { Prism as SyntaxHighlighter } from 'react-syntax-highlighter';
import { solarizedlight } from 'react-syntax-highlighter/dist/esm/styles/prism';
var MemoHr = /*#__PURE__*/memo(function (props) {
  return /*#__PURE__*/React.createElement(Divider, _extends({
    style: {
      marginBottom: '1em',
      marginTop: 0
    }
  }, props));
});
var MemoDetails = /*#__PURE__*/memo(function (props) {
  return /*#__PURE__*/React.createElement(Collapse, _extends({
    style: {
      marginBottom: '1em'
    }
  }, props));
});
var MemoImage = /*#__PURE__*/memo(function (props) {
  return /*#__PURE__*/React.createElement("img", _extends({}, props, {
    alt: ""
  }));
});
var MemoAlink = /*#__PURE__*/memo(function (props) {
  return /*#__PURE__*/React.createElement(Typography.Link, _extends({}, props, {
    target: "_blank"
  }));
});

var MemoCode = function MemoCode(properties) {
  if (!properties.children[0]) return;
  var _properties$children$ = properties.children[0].props,
      children = _properties$children$.children,
      className = _properties$children$.className;
  if (!children) return;
  var content = Array.isArray(children) ? children[0] : children;
  var lang = (className === null || className === void 0 ? void 0 : className.replace('language-', '')) || 'txt';
  return !properties.inline ? /*#__PURE__*/React.createElement(SyntaxHighlighter, {
    language: lang,
    style: solarizedlight
  }, content) : /*#__PURE__*/React.createElement("code", null, content);
};

var Body = function Body(props) {
  return /*#__PURE__*/React.createElement("div", {
    className: cls("im-message-wrapper ", {
      wrapperRight: props.right
    })
  }, /*#__PURE__*/React.createElement("div", {
    className: "im-message-content"
  }, props.children));
};

var List = function List(props) {
  var components = {
    details: MemoDetails,
    hr: MemoHr,
    a: MemoAlink,
    img: MemoImage,
    pre: MemoCode
  };
  var rehypePlugins = [rehypeKatex];
  var remarkPlugins = [remarkGfm, remarkMath];
  return /*#__PURE__*/React.createElement("div", {
    style: {
      marginBottom: 10
    }
  }, /*#__PURE__*/React.createElement(AiLoading, null));

  if (props.type === 'mine') {
    return /*#__PURE__*/React.createElement(Body, {
      right: true
    }, props.content);
  }

  if (props.type === 'ai') {
    return /*#__PURE__*/React.createElement(Body, null, /*#__PURE__*/React.createElement(AiTitle, null), /*#__PURE__*/React.createElement(ReactMarkdown, {
      components: components,
      rehypePlugins: rehypePlugins,
      remarkPlugins: remarkPlugins
    }, props.content));
  }

  if (props.type === 'loading') {
    return /*#__PURE__*/React.createElement(AiLoading, null);
  }

  if (props.type === 'demo') {
    return /*#__PURE__*/React.createElement(Body, null, /*#__PURE__*/React.createElement(AiTitle, null), /*#__PURE__*/React.createElement(AiDemo, null));
  }

  return null;
};

export default List;